<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:46 CET 2016 -->
<title>ReconciliationPopUp (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ReconciliationPopUp (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/PaymentMethodTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationsTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationPopUp.html" target="_top">Frames</a></li>
<li><a href="ReconciliationPopUp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.OBClassicPopUp">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount</div>
<h2 title="Class ReconciliationPopUp" class="title">Class ReconciliationPopUp</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">com.openbravo.test.integration.erp.modules.client.application.gui.OBClassicPopUp</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount.ReconciliationPopUp</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ReconciliationPopUp</span>
extends <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBClassicPopUp</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.OBClassicPopUp">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.client.application.gui.<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBClassicPopUp</a></h3>
<code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#BUTTON_CLOSE">BUTTON_CLOSE</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#BUTTON_OK">BUTTON_OK</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#buttonClose">buttonClose</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#IDENTIFIER_MESSAGE_BOX_TITLE">IDENTIFIER_MESSAGE_BOX_TITLE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationPopUp.html#ReconciliationPopUp--">ReconciliationPopUp</a></span>()</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationPopUp.html#reconcile-java.lang.String-boolean-java.lang.String-">reconcile</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;endingBalance,
         boolean&nbsp;hideTransactionsAfterStatementDate,
         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</code>
<div class="block">Process a reconciliation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationPopUp.html#selectFrame--">selectFrame</a></span>()</code>
<div class="block">Select the pop up frame.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationPopUp.html#selectPopUp--">selectPopUp</a></span>()</code>
<div class="block">Select the PopUp.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.OBClassicPopUp">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.client.application.gui.<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBClassicPopUp</a></h3>
<code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#assertProcessCompletedSuccessfully--">assertProcessCompletedSuccessfully</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#clickClose--">clickClose</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#clickOK--">clickOK</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#close--">close</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#selectedFrameHasNoName--">selectedFrameHasNoName</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#selectPopUp-java.lang.String-">selectPopUp</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#selectPopUpWithOKButton--">selectPopUpWithOKButton</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#verifyElementsAreVisible-java.lang.String:A-">verifyElementsAreVisible</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#waitForFrame--">waitForFrame</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getSmartClientLocator--">getSmartClientLocator</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilLoaded--">waitUntilLoaded</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ReconciliationPopUp--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ReconciliationPopUp</h4>
<pre>public&nbsp;ReconciliationPopUp()</pre>
<div class="block">Class constructor. *</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="selectFrame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectFrame</h4>
<pre>protected&nbsp;void&nbsp;selectFrame()</pre>
<div class="block">Select the pop up frame.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html#selectFrame--">selectFrame</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBClassicPopUp.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBClassicPopUp</a></code></dd>
</dl>
</li>
</ul>
<a name="selectPopUp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectPopUp</h4>
<pre>public&nbsp;void&nbsp;selectPopUp()</pre>
<div class="block">Select the PopUp.
 
 This function waits until the process button is present and visible.</div>
</li>
</ul>
<a name="reconcile-java.lang.String-boolean-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>reconcile</h4>
<pre>public&nbsp;void&nbsp;reconcile(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;endingBalance,
                      boolean&nbsp;hideTransactionsAfterStatementDate,
                      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;description)</pre>
<div class="block">Process a reconciliation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>endingBalance</code> - The reconciliation ending balance.</dd>
<dd><code>hideTransactionsAfterStatementDate</code> - Indicates if the transactions after statement date should be hidden.</dd>
<dd><code>description</code> - The description of the transaction to clear.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/PaymentMethodTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationsTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/ReconciliationPopUp.html" target="_top">Frames</a></li>
<li><a href="ReconciliationPopUp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.OBClassicPopUp">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
